/* FILE: oommf.h                  -*-Mode: c++-*-
 *
 *	Declarations for OOMMF-related things that are visible
 *	outside of the OOMMF module itself.
 *
 */

#ifndef _OOMMF
#define _OOMMF

#include <tcl.h>
/* End includes */     /* Optional directive to build.tcl */

/*
 * These version numbers follow the Tcl version number convention.
 *
 * Goal is to have CVS handle updating of these values, but for now
 * they must be maintained by hand.
 */
#define OOMMF_MAJOR_VERSION   0
#define OOMMF_MINOR_VERSION   0
#define OOMMF_RELEASE_LEVEL   1
#define OOMMF_RELEASE_SERIAL  0

#define OOMMF_VERSION "0.0"
#define OOMMF_PATCH_LEVEL "0.0b0"

/*
 * Abbreviation for Tcl Command prototypes
 */
typedef int TCLCMD(ClientData,Tcl_Interp *interp,int argc,char** argv);

/*
 * Prototypes for routines in oommfInit.cc
 */
int Oommf_Init(Tcl_Interp* interp);

#endif /* _OOMMF */
